# PrepayServiceApi.PpsDataMeterOriginalApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getMeterOriginalData**](PpsDataMeterOriginalApi.md#getMeterOriginalData) | **GET** /meter/original/data | 获取表计读数


<a name="getMeterOriginalData"></a>
# **getMeterOriginalData**
> RPagePpsDataMeterOriginal getMeterOriginalData(dto)

获取表计读数

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsDataMeterOriginalApi();

let dto = new PrepayServiceApi.PpsDataMeterOriginalDto(); // PpsDataMeterOriginalDto | dto

apiInstance.getMeterOriginalData(dto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dto** | [**PpsDataMeterOriginalDto**](PpsDataMeterOriginalDto.md)| dto | 

### Return type

[**RPagePpsDataMeterOriginal**](RPagePpsDataMeterOriginal.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

