# PrepayServiceApi.PpsHardwareMeterChangedApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getMeterChangePageList**](PpsHardwareMeterChangedApi.md#getMeterChangePageList) | **GET** /meterChanged/list | 记录-列表


<a name="getMeterChangePageList"></a>
# **getMeterChangePageList**
> RPagePpsHardwareMeterChanged getMeterChangePageList(opts)

记录-列表

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsHardwareMeterChangedApi();

let opts = { 
  'pageNum': 56, // Number | 页码
  'pageSize': 56, // Number | 每页显示数量
  'id': 789, // Number | 主键id
  'createTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 创建时间
  'updateTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 修改时间
  'disabled': true, // Boolean | 是否禁用（1-是，0-否）
  'changeTime': new Date("2013-10-20T19:20:30+01:00"), // Date | 换表时间
  'meterId': 789, // Number | 表计id
  'oldMeterCode': "oldMeterCode_example", // String | 旧表表号
  'oldMeterOriginalData': 1.2, // Number | 旧表原始读数
  'oldMeterProcessedData': 1.2, // Number | 旧表读数（乘变比）
  'newMeterCode': "newMeterCode_example", // String | 新表表号
  'newMeterOriginalData': 1.2, // Number | 新表原始读数
  'newMeterProcessedData': 1.2 // Number | 新表读数（乘变比）
};
apiInstance.getMeterChangePageList(opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pageNum** | **Number**| 页码 | [optional] 
 **pageSize** | **Number**| 每页显示数量 | [optional] 
 **id** | **Number**| 主键id | [optional] 
 **createTime** | **Date**| 创建时间 | [optional] 
 **updateTime** | **Date**| 修改时间 | [optional] 
 **disabled** | **Boolean**| 是否禁用（1-是，0-否） | [optional] 
 **changeTime** | **Date**| 换表时间 | [optional] 
 **meterId** | **Number**| 表计id | [optional] 
 **oldMeterCode** | **String**| 旧表表号 | [optional] 
 **oldMeterOriginalData** | **Number**| 旧表原始读数 | [optional] 
 **oldMeterProcessedData** | **Number**| 旧表读数（乘变比） | [optional] 
 **newMeterCode** | **String**| 新表表号 | [optional] 
 **newMeterOriginalData** | **Number**| 新表原始读数 | [optional] 
 **newMeterProcessedData** | **Number**| 新表读数（乘变比） | [optional] 

### Return type

[**RPagePpsHardwareMeterChanged**](RPagePpsHardwareMeterChanged.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

