# PrepayServiceApi.PpsLocationCompanyApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getEnergylineListByCompanyId**](PpsLocationCompanyApi.md#getEnergylineListByCompanyId) | **GET** /ppsLocationCompany/getEnergylineListByCompanyId | 查询公司下线路列表
[**getFeeCodeList**](PpsLocationCompanyApi.md#getFeeCodeList) | **GET** /ppsLocationCompany/getFeeCodeList | 查询收费项目List
[**getZoneareaListByCompanyId**](PpsLocationCompanyApi.md#getZoneareaListByCompanyId) | **GET** /ppsLocationCompany/getZoneareaListByCompanyId | 查询公司下台区列表


<a name="getEnergylineListByCompanyId"></a>
# **getEnergylineListByCompanyId**
> RListPpsLocationCompanyVo getEnergylineListByCompanyId()

查询公司下线路列表

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLocationCompanyApi();
apiInstance.getEnergylineListByCompanyId().then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters
This endpoint does not need any parameter.

### Return type

[**RListPpsLocationCompanyVo**](RListPpsLocationCompanyVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="getFeeCodeList"></a>
# **getFeeCodeList**
> RListstring getFeeCodeList()

查询收费项目List

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLocationCompanyApi();
apiInstance.getFeeCodeList().then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters
This endpoint does not need any parameter.

### Return type

[**RListstring**](RListstring.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="getZoneareaListByCompanyId"></a>
# **getZoneareaListByCompanyId**
> RListPpsLocationCompanyVo getZoneareaListByCompanyId()

查询公司下台区列表

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLocationCompanyApi();
apiInstance.getZoneareaListByCompanyId().then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters
This endpoint does not need any parameter.

### Return type

[**RListPpsLocationCompanyVo**](RListPpsLocationCompanyVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

