# PrepayServiceApi.PpsLoginApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**exit**](PpsLoginApi.md#exit) | **POST** /ppsLogin/exit | 退出
[**login**](PpsLoginApi.md#login) | **POST** /ppsLogin/login | 登录


<a name="exit"></a>
# **exit**
> R exit()

退出

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLoginApi();
apiInstance.exit().then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters
This endpoint does not need any parameter.

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

<a name="login"></a>
# **login**
> R login(username, password)

登录

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsLoginApi();

let username = "username_example"; // String | 用户名

let password = "password_example"; // String | 密码

apiInstance.login(username, password).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**| 用户名 | 
 **password** | **String**| 密码 | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

