# PrepayServiceApi.PpsHardwareMeterVo

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**collectorId** | **Number** | 采集器id | [optional] 
**createTime** | **Date** | 创建时间 | [optional] 
**deviceStatus** | **String** | 设备是否可用 | [optional] 
**disabled** | **Boolean** | 是否禁用（1-是，0-否） | [optional] 
**energyType** | **Number** | 分类能耗类型（01-电，02-水） | [optional] 
**id** | **Number** | 主键id | [optional] 
**meterBindFlag** | **Boolean** | 表计是否启用（即是否绑定部位，1-是，0-否） | [optional] 
**meterCode** | **String** | 表号 | [optional] 
**meterIndex** | **String** | 测点号（集中器-测点号，采集器-null） | [optional] 
**meterLastReceiveTime** | **Date** | 表计最后通信时间 | [optional] 
**meterLastUpdateTime** | **Date** | 表计最后更新时间，区别于本条记录更新时间 | [optional] 
**meterMainLevel** | **String** | 启用后，总表级别（空-非总表，POWERLINE-条线总表，ZONEAREA-台区总表） | [optional] 
**meterName** | **String** | 表计名称 | [optional] 
**meterStartUpTime** | **Date** | 表计开始通信时间 | [optional] 
**meterStatus** | **String** | 表计状态（目前仅集中器，POWER_OFF-断电，POWER_ON-正常供电，UNKNOWN-未知） | [optional] 
**meterType** | **String** | 表计类型（single-单相表，multiple-多功能表） | [optional] 
**updateTime** | **Date** | 修改时间 | [optional] 


<a name="DeviceStatusEnum"></a>
## Enum: DeviceStatusEnum


* `正常` (value: `"正常"`)

* `禁用` (value: `"禁用"`)

* `待删除` (value: `"待删除"`)




<a name="MeterStatusEnum"></a>
## Enum: MeterStatusEnum


* `断电` (value: `"断电"`)

* `正常供电` (value: `"正常供电"`)

* `未知` (value: `"未知"`)

* `连通率正常` (value: `"连通率正常"`)

* `连通率异常` (value: `"连通率异常"`)




