# PrepayServiceApi.PpsPayUserRechargeApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getPayUserRechargeList**](PpsPayUserRechargeApi.md#getPayUserRechargeList) | **GET** /ppsPayUserRecharge/getPayUserRechargeList/{payUserId} | 查询充值记录
[**pcRecharge**](PpsPayUserRechargeApi.md#pcRecharge) | **POST** /ppsPayUserRecharge/pcRecharge | PC端充值


<a name="getPayUserRechargeList"></a>
# **getPayUserRechargeList**
> RListPpsPayUserRechargeVo getPayUserRechargeList(payUserId)

查询充值记录

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsPayUserRechargeApi();

let payUserId = 789; // Number | 付费用户id

apiInstance.getPayUserRechargeList(payUserId).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **payUserId** | **Number**| 付费用户id | 

### Return type

[**RListPpsPayUserRechargeVo**](RListPpsPayUserRechargeVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

<a name="pcRecharge"></a>
# **pcRecharge**
> R pcRecharge(ppsPayUserRechargeDto)

PC端充值

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsPayUserRechargeApi();

let ppsPayUserRechargeDto = new PrepayServiceApi.PpsPayUserRechargeVo(); // PpsPayUserRechargeVo | 付费用户余额充值Dto

apiInstance.pcRecharge(ppsPayUserRechargeDto).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ppsPayUserRechargeDto** | [**PpsPayUserRechargeVo**](PpsPayUserRechargeVo.md)| 付费用户余额充值Dto | 

### Return type

[**R**](R.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

