# PrepayServiceApi.PpsPayUserRemainingAmountApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getPayUserRemainingAmountList**](PpsPayUserRemainingAmountApi.md#getPayUserRemainingAmountList) | **GET** /ppsPayUserRemainingAmount/getPayUserRemainingAmountList/{payUserId} | 查询余额变更记录


<a name="getPayUserRemainingAmountList"></a>
# **getPayUserRemainingAmountList**
> RListPpsPayUserRemainingAmountVo getPayUserRemainingAmountList(payUserId)

查询余额变更记录

### Example
```javascript
import PrepayServiceApi from 'prepay-service-api';

let apiInstance = new PrepayServiceApi.PpsPayUserRemainingAmountApi();

let payUserId = 789; // Number | 付费用户id

apiInstance.getPayUserRemainingAmountList(payUserId).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **payUserId** | **Number**| 付费用户id | 

### Return type

[**RListPpsPayUserRemainingAmountVo**](RListPpsPayUserRemainingAmountVo.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

